import { SectorRepository } from '@app/domain/sectors/sector.repository';
import { Observable } from 'rxjs';
import { Sector } from '@app/domain/sectors/sector.model';

export class GetSectorUseCase {
  constructor(private readonly sectorRepository: SectorRepository) {}

  execute(sectorId: string): Observable<Sector> {
    return this.sectorRepository.getOne(sectorId);
  }
}
